/*
 * Copyright (C) 2004-2006  Autodesk, Inc.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of version 2.1 of the GNU Lesser
 * General Public License as published by the Free Software Foundation.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

#ifndef CPP_UNIT_ABasicOpenTests_H
#define CPP_UNIT_ABasicOpenTests_H
#ifdef _WIN32
#pragma once
#endif // _WIN32

#include "ArcSDETests.h"

class ABasicOpenTests : public ArcSDETests
{
    CPPUNIT_TEST_SUITE (ABasicOpenTests);
    // NOTE: this test is commented out because Direct Connect from an ArcSDE 9.0 client to an ArcSDE 8.3 database
    //       will always fail, and this client and datastore type are now the main configuration we support.
    //CPPUNIT_TEST (basic_direct);
    CPPUNIT_TEST (basic_indirect);
    CPPUNIT_TEST (no_runtime);
    CPPUNIT_TEST (list_datastores);
    CPPUNIT_TEST_SUITE_END ();

public:
    ABasicOpenTests (void);
    virtual ~ABasicOpenTests (void);
	void setUp ();
	void tearDown ();

protected:
	void basic_direct ();
	void basic_indirect ();
    void no_runtime ();
    void list_datastores();
};

#endif // CPP_UNIT_ABasicOpenTests_H

